#!/usr/bin/python
# -*- coding: utf-8 -*-
import RPi.GPIO as GPIO
import time
GPIO.setmode(GPIO.BCM)

t="GUTEN MORGEN "
w=0.005
z=[10, 17, 25, 22, 8, 7, 11]
s=[23, 24, 15, 18, 14]
for i in z:
  GPIO.setup(i, GPIO.OUT, initial=False)
for i in s:
  GPIO.setup(i, GPIO.OUT, initial=True)

b=[
[0x00, 0x00, 0x00, 0x00, 0x00], #
[0x7e, 0x09, 0x09, 0x09, 0x7e], #A
[0x7f, 0x49, 0x49, 0x49, 0x36], #B
[0x3e, 0x41, 0x41, 0x41, 0x22], #C
[0x7f, 0x41, 0x41, 0x22, 0x1c], #D
[0x7f, 0x49, 0x49, 0x49, 0x63], #E
[0x7f, 0x09, 0x09, 0x09, 0x01], #F
[0x3e, 0x41, 0x41, 0x49, 0x7a], #G
[0x7f, 0x08, 0x08, 0x08, 0x7f], #H
[0x00, 0x41, 0x7f, 0x41, 0x00], #I
[0x20, 0x40, 0x41, 0x3f, 0x01], #J
[0x7f, 0x08, 0x14, 0x22, 0x41], #K
[0x7f, 0x40, 0x40, 0x40, 0x60], #L
[0x7f, 0x02, 0x04, 0x02, 0x7f], #M
[0x7f, 0x04, 0x08, 0x10, 0x7f], #N
[0x3e, 0x41, 0x41, 0x41, 0x3e], #O
[0x7f, 0x09, 0x09, 0x09, 0x06], #P
[0x3e, 0x41, 0x51, 0x21, 0x5e], #Q
[0x7f, 0x09, 0x19, 0x29, 0x46], #R
[0x46, 0x49, 0x49, 0x49, 0x31], #S
[0x01, 0x01, 0x7f, 0x01, 0x01], #T
[0x3f, 0x40, 0x40, 0x40, 0x3f], #U
[0x1f, 0x20, 0x40, 0x20, 0x1f], #V
[0x3f, 0x40, 0x30, 0x40, 0x3f], #W
[0x63, 0x14, 0x08, 0x14, 0x63], #X
[0x07, 0x08, 0x70, 0x08, 0x07], #Y
[0x61, 0x51, 0x49, 0x45, 0x43]] #Z

print ("Strg+C beendet das Programm")

try:
  while True:
    for i in t:
      tx=ord(i)-64
      if (tx < 1 or tx > 26):
        tx = 0
      m=time.localtime().tm_sec
      while time.localtime().tm_sec == m:
        for j in range(5):
          GPIO.output(s[j], False)
          bx=b[tx][j]
          GPIO.output(z[0], bx&0x01==0x01)
          GPIO.output(z[1], bx&0x02==0x02)
          GPIO.output(z[2], bx&0x04==0x04)
          GPIO.output(z[3], bx&0x08==0x08)
          GPIO.output(z[4], bx&0x10==0x10)
          GPIO.output(z[5], bx&0x20==0x20)
          GPIO.output(z[6], bx&0x40==0x40)
          time.sleep(w)
          GPIO.output(s[j], True)

except KeyboardInterrupt:
  GPIO.cleanup()
